> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voucherify.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Product Collections

> This method returns a list of product collections.



## OpenAPI

````yaml /openapi/product-collections.json get /v1/product-collections
openapi: 3.0.1
info:
  title: Voucherify API - Product Collections
  version: v2018-08-01
  description: >-
    Voucherify promotion engine REST API. Please see
    https://docs.voucherify.io/docs for more details.
  contact:
    name: Voucherify Team
    url: https://www.voucherify.io/contact-support
    email: support@voucherify.io
  termsOfService: https://www.voucherify.io/legal/subscription-agreement
  license:
    name: MIT
    url: https://github.com/voucherifyio/voucherify-js-sdk/blob/main/LICENSE
servers:
  - url: https://{cluster}.voucherify.io
    description: Base URL
    variables:
      cluster:
        default: api
        enum:
          - api
          - us1.api
          - as1.api
          - download
          - us1.download
          - as1.download
security: []
paths:
  /v1/product-collections:
    get:
      tags:
        - Product Collections
      summary: List Product Collections
      description: This method returns a list of product collections.
      operationId: list-product-collections
      parameters:
        - $ref: '#/components/parameters/limit'
        - $ref: '#/components/parameters/page'
        - $ref: '#/components/parameters/order'
      responses:
        '200':
          description: >-
            Returns a dictionary containing a list of product collections and
            details about each product collection.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProductCollectionsListResponseBody'
              examples:
                Example:
                  value:
                    object: list
                    data_ref: data
                    data:
                      - id: pc_Dj1qSH7bho4SVh7aSDKjU174
                        name: Products in Poland
                        type: AUTO_UPDATE
                        filter:
                          junction: and
                          metadata.product_location:
                            conditions:
                              $in_location:
                                - loc_RcYz537sV07e1t5aG5tIH9FD
                        created_at: '2022-07-14T16:12:26.377Z'
                        object: products_collection
                      - id: pc_FJdBpaQyvK6Gcdul4D2HRChI
                        name: Price less than 10
                        type: AUTO_UPDATE
                        filter:
                          junction: and
                          price:
                            conditions:
                              $less_than:
                                - 1000
                        created_at: '2022-03-17T07:11:25.406Z'
                        object: products_collection
                      - id: pc_4ndRXAsTOzwSdHcQcxf489uU
                        name: Color is brown
                        type: AUTO_UPDATE
                        filter:
                          junction: and
                          metadata.color:
                            conditions:
                              $is:
                                - brown
                        created_at: '2022-03-16T14:27:49.612Z'
                        object: products_collection
                      - id: pc_BxofAP7pyM9FO7M6iaIzIouy
                        name: Color not brown
                        type: AUTO_UPDATE
                        filter:
                          junction: and
                          metadata.color:
                            conditions:
                              $is_not:
                                - brown
                        created_at: '2022-03-16T13:49:05.697Z'
                        object: products_collection
                      - id: pc_uHpM9ipEQH2yEpm3D8aohkBM
                        name: Price less than 20
                        type: AUTO_UPDATE
                        filter:
                          junction: and
                          price:
                            conditions:
                              $less_than:
                                - 2000
                        created_at: '2022-03-16T13:46:01.102Z'
                        object: products_collection
                      - id: pc_ZgM25PcZAMp6qItKJRtR2mEi
                        name: Name starts with S
                        type: AUTO_UPDATE
                        filter:
                          junction: and
                          name:
                            conditions:
                              $starts_with:
                                - S
                        created_at: '2022-03-16T13:42:35.917Z'
                        object: products_collection
                      - id: pc_41V4DiQQO8YGqj0J2oZD57j4
                        name: Ends with baby
                        type: AUTO_UPDATE
                        filter:
                          junction: and
                          source_id:
                            conditions:
                              $ends_with:
                                - baby
                        created_at: '2022-03-14T12:50:19.885Z'
                        object: products_collection
                      - id: pc_0cRX5wAFt1R1R5Ir6WdTowui
                        name: C start
                        type: AUTO_UPDATE
                        filter:
                          junction: and
                          name:
                            conditions:
                              $starts_with:
                                - C
                        created_at: '2022-03-14T12:18:15.588Z'
                        object: products_collection
                      - id: pc_bQ2p9TycbEhd3YzwFCR3JQYA
                        name: Shirts
                        type: STATIC
                        products:
                          - id: prod_0a9f9aeddb019a42db
                            object: product
                          - id: prod_0a9f9ab4ab019a42d5
                            object: product
                        created_at: '2022-02-28T11:42:12.484Z'
                        object: products_collection
                    total: 9
      security:
        - X-App-Id: []
          X-App-Token: []
        - X-Voucherify-OAuth:
            - api
            - product-collections
components:
  parameters:
    limit:
      name: limit
      in: query
      required: false
      schema:
        $ref: '#/components/schemas/ParameterLimit'
      description: >-
        Limits the number of objects to be returned. The limit can range between
        1 and 100 items. If no limit is set, it returns 10 items.
    page:
      name: page
      in: query
      required: false
      schema:
        $ref: '#/components/schemas/ParameterPage'
      description: Which page of results to return. The lowest value is `1`.
    order:
      name: order
      in: query
      required: false
      schema:
        $ref: '#/components/schemas/ParameterOrder'
      description: >-
        Sorts the results using one of the filtering options, where the dash `-`
        preceding a sorting option means sorting in a descending order.
  schemas:
    ProductCollectionsListResponseBody:
      type: object
      title: Product Collections List Response Body
      description: Response body schema for **GET** `v1/product-collections`.
      allOf:
        - $ref: '#/components/schemas/ProductCollectionsList'
    ParameterLimit:
      type: integer
      minimum: 1
      maximum: 100
    ParameterPage:
      type: integer
      minimum: 1
      maximum: 100
    ParameterOrder:
      type: string
      enum:
        - created_at
        - '-created_at'
        - updated_at
        - '-updated_at'
        - type
        - '-type'
        - code
        - '-code'
        - campaign
        - '-campaign'
        - category
        - '-category'
    ProductCollectionsList:
      type: object
      title: List Product Collections
      description: Schema representing list of product collections
      properties:
        object:
          type: string
          description: >-
            The type of the object represented by JSON. This object stores
            information about product collections.
          default: list
          enum:
            - list
        data_ref:
          type: string
          default: data
          description: >-
            Identifies the name of the JSON property that contains the array of
            product collections.
          enum:
            - data
        data:
          description: >-
            A dictionary that contains an array of product collections and their
            details.
          type: array
          items:
            title: Product Collections List Data Item
            allOf:
              - $ref: '#/components/schemas/ProductCollectionsItem'
        total:
          type: integer
          description: Total number of product collections.
      required:
        - object
        - data_ref
        - data
        - total
    ProductCollectionsItem:
      title: Product Collection Base
      description: 'This is an object representing a product collection base. '
      type: object
      properties:
        id:
          type: string
          description: Product collection ID.
        name:
          type: string
          example: All Products
          description: Unique user-defined product collection name.
        type:
          type: string
          description: >-
            Describes whether the product collection is dynamic (products come
            in and leave based on set criteria) or static (manually selected
            products).
          enum:
            - STATIC
            - AUTO_UPDATE
        filter:
          type: object
          description: >-
            Defines a set of criteria and boundary conditions for an
            `AUTO_UPDATE` product collection type.
          required:
            - junction
          properties:
            junction:
              $ref: '#/components/schemas/Junction'
          additionalProperties:
            allOf:
              - $ref: '#/components/schemas/FieldConditions'
            description: >-
              Valid keys: `id`, `product_id`, `source_id`, `name`, `price`,
              `object`, `attributes`, `image_url`, `skus`, `created_at`,
              `updated_at` and `metadata.*`
        products:
          description: Defines a set of products for a `STATIC` product collection type.
          type: array
          items:
            title: Product Collections Item Products Item
            type: object
            properties:
              id:
                type: string
                example: prod_0a41bcf807c5fcaaf6
                description: The product ID.
              product_id:
                type: string
                description: Product ID for SKUs.
              object:
                type: string
                enum:
                  - sku
                  - product
                description: Denotes the type of the object represented by the ID.
            required:
              - id
              - object
        created_at:
          type: string
          example: '2021-12-09T12:51:29.898Z'
          description: >-
            Timestamp representing the date and time when the product collection
            was created. The value is shown in the ISO 8601 format.
          format: date-time
        object:
          type: string
          description: >-
            The type of the object represented by JSON. This object stores
            information about the static product collection.
          default: products_collection
          enum:
            - products_collection
      required:
        - id
        - name
        - type
        - created_at
        - object
    Junction:
      title: Junction
      description: >-
        Logical Operator Between Filters. Filter by conditions set on the
        `junction` parameter indicating how the `conditions` should be accounted
        for in the query. An `AND` is an all-inclusive logical operator, meaning
        the `AND` operator displays a record if **ALL** the conditions separated
        by AND are TRUE, while  an `OR` operator displays a record if **ANY** of
        the conditions separated by OR is TRUE.
      enum:
        - and
        - or
      type: string
    FieldConditions:
      title: Field Conditions
      type: object
      properties:
        conditions:
          description: >-
            Data filters used to narrow down the data records to be returned in
            the result.
          allOf:
            - $ref: '#/components/schemas/FiltersCondition'
    FiltersCondition:
      title: Filters Condition
      type: object
      properties:
        $in:
          $ref: '#/components/schemas/Any'
        $not_in:
          $ref: '#/components/schemas/Any'
        $is:
          $ref: '#/components/schemas/Any'
        $is_days_ago:
          $ref: '#/components/schemas/Any'
        $is_days_in_future:
          $ref: '#/components/schemas/Any'
        $is_not:
          $ref: '#/components/schemas/Any'
        $has_value:
          $ref: '#/components/schemas/Any'
        $is_unknown:
          $ref: '#/components/schemas/Any'
        $contains:
          $ref: '#/components/schemas/Any'
        $not_contain:
          $ref: '#/components/schemas/Any'
        $starts_with:
          $ref: '#/components/schemas/Any'
        $ends_with:
          $ref: '#/components/schemas/Any'
        $more_than:
          $ref: '#/components/schemas/Any'
        $less_than:
          $ref: '#/components/schemas/Any'
        $more_than_ago:
          $ref: '#/components/schemas/Any'
        $less_than_ago:
          $ref: '#/components/schemas/Any'
        $more_than_future:
          $ref: '#/components/schemas/Any'
        $less_than_future:
          $ref: '#/components/schemas/Any'
        $more_than_equal:
          $ref: '#/components/schemas/Any'
        $less_than_equal:
          $ref: '#/components/schemas/Any'
        $after:
          $ref: '#/components/schemas/Any'
        $before:
          $ref: '#/components/schemas/Any'
        $count:
          $ref: '#/components/schemas/Any'
        $count_less:
          $ref: '#/components/schemas/Any'
        $count_more:
          $ref: '#/components/schemas/Any'
    Any:
      title: Any
      type: array
      items:
        oneOf:
          - title: string
            type: string
          - title: string - date
            type: string
            format: date
          - title: string - date-time
            type: string
            format: date-time
          - title: number
            type: number
          - title: object
            type: object
  securitySchemes:
    X-App-Id:
      type: apiKey
      name: X-App-Id
      in: header
    X-App-Token:
      type: apiKey
      name: X-App-Token
      in: header
    X-Voucherify-OAuth:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://api.voucherify.io/v1/oauth/token
          scopes:
            api: Gives access to whole server-side API.
            vouchers: >-
              Gives access to all endpoints and methods starting with
              `v1/vouchers`.
            client_api: Gives access to whole client-side API.
            client_vouchers: >-
              Gives access to all endpoints and methods starting with
              `/client/v1/vouchers`.
            promotions: >-
              Gives access to all endpoints and methods starting with
              `/v1/promotions`.
            client_promotions: >-
              Gives access to all endpoints and methods starting with
              `/client/v1/promotions`
            campaigns: >-
              Gives access to all endpoints and methods starting with
              `v1/campaigns`.
            client_publish: >-
              Gives access to all endpoints and methods starting with
              `/client/v1/publish`.
            exports: >-
              Gives access to all endpoints and methods starting with
              `/v1/exports`.
            publications: >-
              Gives access to all endpoints and methods starting with
              `/v1/publications`.
            client_validate: >-
              Gives access to all endpoints and methods starting with
              `/client/v1/validate`.
            validations: >-
              Gives access to all endpoints and methods starting with
              `/v1/validations`.
            client_validations: >-
              Gives access to all endpoints and methods starting with
              `/client/v1/validations`.
            qualifications: >-
              Gives access to all endpoints and methods starting with
              `/v1/qualifications`.
            client_qualifications: >-
              Gives access to all endpoints and methods starting with
              `/client/v1/qualifications`.
            client_redeem: >-
              Gives access to all endpoints and methods starting with
              `/client/v1/redeem
            redemptions: >-
              Gives access to all endpoints and methods starting with
              `/v1/redemptions`.
            client_redemptions: >-
              Gives access to all endpoints and methods starting with
              `/client/v1/redemptions`
            customers: >-
              Gives access to all endpoints and methods starting with
              `/v1/customers`.
            client_customers: >-
              Gives access to all endpoints and methods starting with
              `/client/v1/customers`.
            orders: >-
              Gives access to all endpoints and methods starting with
              `/v1/orders`.
            products: >-
              Gives access to all endpoints and methods starting with
              `/v1/products`.
            skus: >-
              Gives access to all endpoints and methods starting with
              `/v1/SKUs`.
            validation-rules: >-
              Gives access to all endpoints and methods starting with
              `/v1/validation-rules`.
            validation-rules-assignments: >-
              Gives access to all endpoints and methods starting with
              `/v1/validation-rules-assignments
            segments: >-
              Gives access to all endpoints and methods starting with
              `/v1/segments`.
            events: >-
              Gives access to all endpoints and methods starting with
              `/v1/events`.
            client_events: >-
              Gives access to all endpoints and methods starting with
              `client/v1/events`.
            rewards: >-
              Gives access to all endpoints and methods starting with
              `/v1/rewards`.
            assets: >-
              Gives access to all endpoints and methods starting with
              `/v1/assets`.
            task-results: >-
              Gives access to all endpoints and methods starting with
              `/v1/task-results`.
            loyalties: >-
              Gives access to all endpoints and methods starting with
              `/v1/loyalties`.
            client_consents: >-
              Gives access to all endpoints and methods starting with
              `client/v1/consents`.
            consents: >-
              Gives access to all endpoints and methods starting with
              `/v1/consents`.
            async-actions: >-
              Gives access to all endpoints and methods starting with
              `/v1/async-actions`.
            product-collections: >-
              Gives access to all endpoints and methods starting with
              `/v1/product-collections`.
            categories: >-
              Gives access to all endpoints and methods starting with
              `/v1/categories`.
            metadata-schemas: >-
              Gives access to all endpoints and methods starting with
              `/v1/metadata-schemas`.
            locations: >-
              Gives access to all endpoints and methods starting with
              `/v1/locations`.
            referrals: >-
              Gives access to all endpoints and methods starting with
              `/v1/referrals`.
            trash-bin: >-
              Gives access to all endpoints and methods starting with
              `/v1/trash-bin`.
            templates: >-
              Gives access to all endpoints and methods starting with
              `/v1/templates`.

````